Bug 806572 - Add maven POM and dependencies map to jzlib
Add maven POM and dependencies map to jzlib
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jzlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 18:31 EDT by Juan Hernández
Modified: 2012-11-01 05:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 05:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to add the POM and the dependencies map (1.41 KB, patch)
2012-03-24 18:32 EDT, Juan Hernández
no flags Details | Diff

  None (edit)
Description Juan Hernández 2012-03-24 18:31:18 EDT
Description of problem:

The jzlib package doesn't provide a POM file or a dependencies map. This complicates building of other packages that use maven and require jzlib.

Version-Release number of selected component (if applicable):

jzlib-1.1.0-1.fc17

How reproducible:

Always.

Steps to Reproduce:

1. rpm -ql | grep maven

Actual results:

Nothing.

Expected results:

/usr/share/maven-fragments/jzlib
/usr/share/maven-poms/JPP-jzlib.pom
Comment 1 Juan Hernández 2012-03-24 18:32:15 EDT
Created attachment 572468 [details]
Proposed patch to add the POM and the dependencies map
Comment 2 Fedora Update System 2012-10-23 06:57:14 EDT
jzlib-1.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jzlib-1.1.0-2.fc17
Comment 3 Fedora Update System 2012-10-23 07:04:26 EDT
jzlib-1.1.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jzlib-1.1.0-3.fc18
Comment 4 Fedora Update System 2012-10-23 15:45:41 EDT
Package jzlib-1.1.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jzlib-1.1.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16737/jzlib-1.1.0-3.fc18
then log in and leave karma (feedback).
Comment 5 Mat Booth 2012-11-01 05:32:37 EDT
This has been pushed to stable for F17, closing.

Note You need to log in before you can comment on or make changes to this bug.